Bug 489780 - libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: python-virtinst (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-11 15:54 EDT by Mihai Harpau
Modified: 2009-04-20 06:22 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-20 06:22:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mihai Harpau 2009-03-11 15:54:58 EDT
Description of problem:

[root@sysop ~]# virt-install --connect qemu:///system --name xp1 --ram 384 --disk path=/var/lib/libvirt/images/xp1.img,size=5 --cdrom /home/mihai/win/XP_SP2_VOLUME/XP_SP2_volume.iso -v --accelerate --network network:default --os-type windows --os-variant winxp --noacpi --debug
libnuma: Warning: /sys not mounted or no numa system. Assuming one node: No such file or directory
Wed, 11 Mar 2009 21:32:48 DEBUG    Using libvirt URI 'qemu:///system'
Wed, 11 Mar 2009 21:32:48 DEBUG    Requesting virt method 'hvm'
Wed, 11 Mar 2009 21:32:48 DEBUG    Received virt method 'hvm'
Wed, 11 Mar 2009 21:32:48 DEBUG    Hypervisor name is 'kqemu'
Wed, 11 Mar 2009 21:32:48 DEBUG    parse_disk: returning ('/var/lib/libvirt/images/xp1.img', None, None, 'disk', None, False, False, 5.0, True, None)
Wed, 11 Mar 2009 21:32:48 DEBUG    Path '/var/lib/libvirt/images' is target for pool 'default'. Creating volume 'xp1.img'.
Wed, 11 Mar 2009 21:32:48 DEBUG    Detected storage as type 'file'
Wed, 11 Mar 2009 21:32:48 DEBUG    DISPLAY is set: graphics defaulting to VNC.
Wed, 11 Mar 2009 21:32:48 DEBUG    DistroInstaller location is a local file/path: /home/mihai/win/XP_SP2_VOLUME/XP_SP2_volume.iso
Wed, 11 Mar 2009 21:32:48 DEBUG    Setting size for existing storage to '0.571533203125'
Wed, 11 Mar 2009 21:32:48 DEBUG    Detected storage as type 'file'


Starting install...
Wed, 11 Mar 2009 21:32:48 DEBUG    Setting size for existing storage to '0.571533203125'
Wed, 11 Mar 2009 21:32:48 DEBUG    Detected storage as type 'file'
Wed, 11 Mar 2009 21:32:48 DEBUG    Creating storage volume 'xp1.img' with xml:
<volume>
  <name>xp1.img</name>
  <capacity>5368709120</capacity>
  <allocation>0</allocation>
  <target>
    <format type='raw'/>
  </target>
</volume>
Wed, 11 Mar 2009 21:32:48 DEBUG    Storage volume 'xp1.img' install complete.
Wed, 11 Mar 2009 21:32:48 DEBUG    Creating guest from:
<domain type='kqemu'>
  <name>xp1</name>
  <currentMemory>393216</currentMemory>
  <memory>393216</memory>
  <uuid>251326dc-2506-3948-e9a7-6c579d3b0d56</uuid>
  <os>
    <type arch='i686'>hvm</type>
    <boot dev='cdrom'/>
  </os>
  <features>
    <pae/>
  </features>
  <clock offset="localtime"/>
  <on_poweroff>destroy</on_poweroff>
  <on_reboot>destroy</on_reboot>
  <on_crash>destroy</on_crash>
  <vcpu>1</vcpu>
  <devices>
    <emulator>/usr/bin/qemu</emulator>
    <console type='pty'/>
    <disk type='file' device='disk'>
      <source file='/var/lib/libvirt/images/xp1.img'/>
      <target dev='hda' bus='ide'/>
    </disk>
    <disk type='file' device='cdrom'>
      <source file='/home/mihai/win/XP_SP2_VOLUME/XP_SP2_volume.iso'/>
      <target dev='hdc' bus='ide'/>
      <readonly/>
    </disk>
    <interface type='network'>
      <source network='default'/>
      <mac address='54:52:00:01:d2:fb'/>
    </interface>
    <input type='tablet' bus='usb'/>
    <graphics type='vnc' port='-1' keymap='en-us'/>
  </devices>
</domain>

Creating domain...                                       |    0 B     00:00     
Wed, 11 Mar 2009 21:32:49 DEBUG    Created guest, looking to see if it is running
Wed, 11 Mar 2009 21:32:49 DEBUG    Launching console callback
libnuma: Warning: /sys not mounted or no numa system. Assuming one node: No such file or directory
Wed, 11 Mar 2009 21:32:49 DEBUG    Saving XML boot config:
<domain type='kqemu'>
  <name>xp1</name>
  <currentMemory>393216</currentMemory>
  <memory>393216</memory>
  <uuid>251326dc-2506-3948-e9a7-6c579d3b0d56</uuid>
  <os>
    <type arch='i686'>hvm</type>
    <boot dev='hd'/>
  </os>
  <features>
    <pae/>
  </features>
  <clock offset="localtime"/>
  <on_poweroff>destroy</on_poweroff>
  <on_reboot>restart</on_reboot>
  <on_crash>restart</on_crash>
  <vcpu>1</vcpu>
  <devices>
    <emulator>/usr/bin/qemu</emulator>
    <console type='pty'/>
    <disk type='file' device='disk'>
      <source file='/var/lib/libvirt/images/xp1.img'/>
      <target dev='hda' bus='ide'/>
    </disk>
    <disk type='file' device='cdrom'>
      <source file='/home/mihai/win/XP_SP2_VOLUME/XP_SP2_volume.iso'/>
      <target dev='hdc' bus='ide'/>
      <readonly/>
    </disk>
    <interface type='network'>
      <source network='default'/>
      <mac address='54:52:00:01:d2:fb'/>
    </interface>
    <input type='tablet' bus='usb'/>
    <graphics type='vnc' port='-1' keymap='en-us'/>
  </devices>
</domain>

Domain installation does not appear to have been
 successful.  If it was, you can restart your domain
 by running 'virsh start xp1'; otherwise, please
 restart your installation.
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
[root@sysop ~]# libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found
libvir: QEMU error : Domain not found

Version-Release number of selected component (if applicable):
qemu-system-x86-0.10-0.7.kvm20090310git.fc11.i586
kqemu-1.3.0-0.8.pre11.fc10.noarch
qemu-common-0.10-0.7.kvm20090310git.fc11.i586

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Mihai Harpau 2009-03-11 16:00:33 EDT
System was F10 that was upgraded to Rawhide with yum.
Also other components are:
python-virtinst-0.400.3-1.fc11.noarch
libvirt-0.6.1-3.fc11.i586
Comment 2 Cole Robinson 2009-03-23 16:37:00 EDT
Hmm, can you consistently reproduce this, even with up to date rawhide? (there were some fixes in the latest libvirt that may help).

Do you get a different result if you turn selinux off with 'setenforce 0'?

Can you attach /var/log/libvirt/qemu/vmname.log?
Comment 3 Mark McLoughlin 2009-04-20 06:22:43 EDT
Missing info from reporter, closing

Note You need to log in before you can comment on or make changes to this bug.